<script setup>
import { useThemeStore } from "../../stores/theme";
import LoginRegister from '../LoginRegister.vue'

const themeStore = useThemeStore()

import { useUserStore } from "../../stores/user";
const userStore = useUserStore();
</script>

<template>
  <nav :class="themeStore.dark ? 'bg-gray-800' : 'bg-white'" class="fixed bottom-0 left-0 right-0 md:bottom-auto md:top-0 md:left-0 md:right-0 border-gray-200 px-2 sm:px-4 py-2.5">
    <div :class="themeStore.leftHanded ? 'flex-row-reverse' : ''" class="flex flex-wrap justify-between items-center">
      <!--      <a href="https://flowbite.com" class="flex items-center">-->
      <!--        <img src="/docs/images/logo.svg" class="mr-3 h-6 sm:h-9" alt="Flowbite Logo" />-->
      <!--        <span class="self-center text-xl font-semibold whitespace-nowrap dark:text-white">Flowbite</span>-->
      <!--      </a>-->
      <div class="flex items-center">
        <button @click="themeStore.sidebarOpened = !themeStore.sidebarOpened" data-collapse-toggle="mobile-menu" type="button"
                :class="themeStore.dark ? 'text-gray-400 hover:bg-gray-700 focus:ring-gray-600' : 'text-gray-500 hover:bg-gray-100 focus:ring-gray-200'"
                class="inline-flex items-center p-2 ml-3 text-sm rounded-lg focus:outline-none focus:ring-2" aria-controls="mobile-menu" aria-expanded="false">
          <span class="sr-only">Open main menu</span>
          <svg :class="themeStore.sidebarOpened ? '' : 'hidden', themeStore.dark ? '' : ''" class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h16M4 16h16"></path></svg>
          <svg :class="themeStore.sidebarOpened ? 'hidden' : ''" class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
        </button>

      </div>

      <div class="items-center order-last hidden md:flex">
        <LoginRegister/>
      </div>

      <div class="hidden w-full md:block md:w-auto ml-[200px]" id="mobile-menu">
        <ul class="flex flex-col mt-4 md:flex-row md:space-x-8 md:mt-0 md:text-sm md:font-medium">
          <li>
            <a href="#" class="block py-2 pr-4 pl-3 text-white bg-blue-700 rounded md:bg-transparent md:text-blue-700 md:p-0 dark:text-white" aria-current="page">Home</a>
          </li>
          <li>
            <a href="#" class="block py-2 pr-4 pl-3 text-gray-700 border-b border-gray-100 hover:bg-gray-50 md:hover:bg-transparent md:border-0 md:hover:text-blue-700 md:p-0 dark:text-gray-400 md:dark:hover:text-white dark:hover:bg-gray-700 dark:hover:text-white md:dark:hover:bg-transparent dark:border-gray-700">About</a>
          </li>
          <li>
            <a href="#" class="block py-2 pr-4 pl-3 text-gray-700 border-b border-gray-100 hover:bg-gray-50 md:hover:bg-transparent md:border-0 md:hover:text-blue-700 md:p-0 dark:text-gray-400 md:dark:hover:text-white dark:hover:bg-gray-700 dark:hover:text-white md:dark:hover:bg-transparent dark:border-gray-700">Services</a>
          </li>
          <li>
            <a href="#" class="block py-2 pr-4 pl-3 text-gray-700 border-b border-gray-100 hover:bg-gray-50 md:hover:bg-transparent md:border-0 md:hover:text-blue-700 md:p-0 dark:text-gray-400 md:dark:hover:text-white dark:hover:bg-gray-700 dark:hover:text-white md:dark:hover:bg-transparent dark:border-gray-700">Pricing</a>
          </li>
          <li>
            <a href="#" class="block py-2 pr-4 pl-3 text-gray-700 hover:bg-gray-50 md:hover:bg-transparent md:border-0 md:hover:text-blue-700 md:p-0 dark:text-gray-400 md:dark:hover:text-white dark:hover:bg-gray-700 dark:hover:text-white md:dark:hover:bg-transparent">Contact</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
</template>
